PAM_EXEC(8)

NAME
pam_exec - PAM module which calls an external command

SYNOPSIS

pam_exec.so [debug] [seteuid] [log=file] command [...]

DESCRIPTION

pam_exec is a PAM module that can be used to run an external command.

OPTIONS

debug
    Print debug information.

log=file
    The output of the command is appended to file

seteuid
    Per default pam_exec.so will execute the external command with the real user ID of the calling process. Specifying this option means the command is run with the effective user ID.

MODULE SERVICES PROVIDED

The services auth, account, password and session are supported.

RETURN VALUES

PAM_SUCCESS
    The external command runs successfull.

PAM_SERVICE_ERR
    No argument or a wrong number of arguments were given.

PAM_SYSTEM_ERR
    A system error occured or the command to execute failed.

PAM_IGNORE
    pam_setcred was called, which does not execute the command.

EXAMPLES

Add the following line to /etc/pam.d/passwd to rebuild the NIS database after each local password change:

            passwd optional pam_exec.so seteuid make -C /var/yp

This will execute the command

    make -C /var/yp

with effective user ID.

SEE ALSO

pam.conf(5), pam.d(8), pam(8)

AUTHOR

pam_exec was written by Thorsten Kukuk <kukuk@thkukuk.de>.